Identify/Cleanup ContentHandler deprecated calls (and hook subscribers) in Wikitech specific extensions branches
Closed, ResolvedPublic

Description

So, due to the deprecated CH related cleanup, Wikitech is probably going to be starting to make a lot of deprecated warning noise...

This is specifically for these older branches:

  • "SemanticForms": "3.7",
  • "SemanticMediaWiki": "1.8.x",
  • "SemanticResultFormats": "1.8.x",
  • "Validator": "0.5.x"

All the hooks and functions listed in T145728 need checking in the old branches of the extensions listed above

May need back compat ways of doing it in the older branches to support older MW versions...

Please note, no code changes may be needed to most extensions, but they do all need checking on the old branches :)

Reminder for this was

[08:04:22] [rakkaus] (27 lines skipped) [Wed Oct 12 09:04:15 2016] [hphp] [8017:7f8a9a7ff700:211089:000001] [] \nDeprecated: Use of Revision::getText was deprecated in MediaWiki 1.21. [Called from SMW\\ContentParser::fetchFromParser in /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/SemanticMediaWiki/includes/ContentParser.php at line 202] in /srv/mediawiki/tags/2016-10-11_15:30:58/includes/debug/MWDebug.php on line 311
[08:12:42] <Nikerabbit> Reedy: oh noes ^ :/
Reedy created this task.Oct 12 2016, 11:46 AM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptOct 12 2016, 11:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy updated the task description. (Show Details)Jan 3 2017, 4:57 PM
Reedy renamed this task from Cleanup ContentHandler deprecated calls in Wikitech specific extensions to Identify/Cleanup ContentHandler deprecated calls (and hook subscribers) in Wikitech specific extensions branches.
Reedy added a project: Google-Code-In-2016.
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Jan 3 2017, 5:01 PM
Reedy updated the task description. (Show Details)Jan 7 2017, 10:25 AM

Change 331118 had a related patch set uploaded (by Filip):
Removed deprecated function 'Article::getContent()'

https://gerrit.wikimedia.org/r/331118

Florian added a subscriber: Florian.Jan 9 2017, 8:20 PM
Filip claimed this task.Jan 10 2017, 3:43 PM
Filip added a comment.EditedJan 10 2017, 5:06 PM

"SemanticForms": Is clean
"Validator": Is clean
Not sure about "SemanticMediawiki", but looks OK.
"SemanticResultsFormat" have call to deprecated Article:getContent

@Reedy: Hmm, all of this code is hosted on github, and its marked by '1.8' tag(Expect Validator, it cleanly branched). I can't edit code in tag. Creating a lot of new branches is not a good solution.

Change 331509 had a related patch set uploaded (by Filip):
Removed deprecated hooks and functions usages

https://gerrit.wikimedia.org/r/331509

Change 331512 had a related patch set uploaded (by Reedy):
Removed deprecated hooks and functions usages

https://gerrit.wikimedia.org/r/331512

Change 331509 abandoned by Reedy:
Removed deprecated hooks and functions usages

Reason:
Not supposed to be on master :)

https://gerrit.wikimedia.org/r/331509

Change 331512 merged by Reedy:
Removed deprecated hooks and functions usages

https://gerrit.wikimedia.org/r/331512

Change 331514 had a related patch set uploaded (by Filip):
Removed depreacated function usages.

https://gerrit.wikimedia.org/r/331514

Filip added a comment.EditedJan 10 2017, 6:50 PM

Ok! So:
"SemanticForms" - patch got merged, resolved!
"SemanticMediaWiki" - patch needs review.
"SemanticResultFormats" - Clean
"Validator" - Clean

Filip closed this task as Resolved.Jan 10 2017, 7:13 PM

Ok, patch got merged. Checked everything, propably I can mark it as resolved.

Change 331514 merged by jenkins-bot:
Removed depreacated function usages.

https://gerrit.wikimedia.org/r/331514

Mentioned in SAL (#wikimedia-operations) [2017-01-10T20:16:13Z] <dereckson@tin> Synchronized php-1.29.0-wmf.7/extensions/SemanticMediaWiki: Remove deprecated function usages (T147924) (duration: 00m 49s)

Change 331118 abandoned by Reedy:
Removed deprecated function 'Article::getContent()'

https://gerrit.wikimedia.org/r/331118